EvFork
EvFork::createStopped
EvFork
PHP Manual

# EvFork::__construct

Constructs the EvFork watcher object

### Description

public EvFork::__construct ( callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] )

Constructs the EvFork watcher object and starts the watcher automatically.

### Parameters

`callback`

  See Watcher callbacks .

`data`

  Custom data associated with the watcher.

`priority`

  Watcher priority

### Return Values

Returns EvFork object on success.

### See Also

- EvLoop::fork
- EvCheck